
#include <u.h>
#include <libc.h>

void
fatal(char *s)
{
	char buf[ERRMAX];

	buf[0] = '\0';
	errstr(buf, sizeof buf);
	fprint(2, "boot: %s: %s\n", s, buf);
	exits(0);
}

int
print1(int fd, char *str)
{
	return write(fd, str, strlen(str));
}

int
main(void)
{
	char buf[1600];
	char path[100];
	int fd, fd2, l, i, idx;

	fd = open("/net/ether0/clone", ORDWR);
	if(fd < 0)
		fatal("ether0");

	l = read(fd, buf, sizeof buf - 1);
	if(l < 0)
		fatal("reading clone");
	buf[l] = 0;
	idx = atoi(buf);
	if(print1(fd, "connect 2048") < 0)
		fatal("connect");
	
	sprint(path, "/net/ether0/%d/data", idx);
	fd2 = open(path, OREAD);
	if(fd2 < 0)
		fatal(path);
	print("reading %s\n", path);
	for(;;) {
		l = read(fd2, buf, sizeof buf);
		print("read %d\n", l);
		for(i = 0; i < l; i++) {
			if(i % 16 == 0 && i)
				print("\n");
			if(i % 16 == 0)
				print("%04x: ", i);
			print("%02x ", (uchar)buf[i]);
		}
		print("\n\n");
	}
}
